<?php //include config
require_once($_SERVER['DOCUMENT_ROOT'] .'/blog/includes/config.php');

//if not logged in redirect to login page
if(!$user->is_logged_in()){ header('Location: login.php'); }
?>
<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Admin - Upload Photos</title>
  <link rel="stylesheet" href="../style/normalize.css">
  <link rel="stylesheet" href="../style/main.css">
</head>
<body>

<div id="wrapper">

	<?php include('menu.php');?>
	<p><a href="./">Blog Admin Index</a></p>

	<h2>Upload Photos</h2>

	<?php

	//if form has been submitted process it
	if(isset($_POST['submit'])){

		$_POST = array_map( 'stripslashes', $_POST );

		//collect form data
		extract($_POST);

		//very basic validation
    if($imageName == ''){
      $newImageName = 'image';
    } else {
      $newImageName = mb_strtolower(mb_ereg_replace(' ', '-', $imageName));
    }

		if($imageTitle ==''){
			$error[] = 'Please enter the title.';
		}

		if($imageDesc ==''){
			$error[] = 'Please enter the description.';
		}

    if($imageCat ==''){
			$error[] = 'Please enter the category.';
		}

		//if($imageCont ==''){
		//	$error[] = 'Please choose a file.';
		//}

    $imageCont = $_FILES['imageCont'];

    print_r($imageCont);

    $imageName = $imageCont['name'];
    $imageType = $imageCont['type'];
    $imageTemp = $imageCont['tmp_name'];
    $imageError = $imageCont['error'];
    $imageSize = $imageCont['size'];
    $imagePub = 0;

    $extTemp = explode('.', $imageName);
    $imageExt = end($extTemp);

    $allowedExt = array('jpg', 'jpeg', 'png', 'webp');

    if (!in_array($imageExt, $allowedExt)) {
      $error[] = 'Files of type' . $imageExt . 'are not allowed. Please choose a jpg, jpeg, png, or webp file.';
    }

    if ($imageError === 0) {
      if ($imageSize > 50000000) {
        $error[] = 'Files larger than 50MB are not allowed. Please choose a smaller file.';
      } else {
        $newImageName = $newImageName .'-'. uniqid('', false) . '.' . $imageExt;
        $imageDest = $_SERVER['DOCUMENT_ROOT'] .'/img/gallery/' . $newImageName;
      }
    } else {
      $error[] = 'Sorry, an unexpected error has been encountered: ' . $imageError;
    }

		if(!isset($error)){

			try {

				//insert into database
				$stmt = $db->prepare('INSERT INTO blog_photos (imageName,origImageName,imageTitle,imageDesc,imageCat,imageTags,imagePub,imageType,imageSize) VALUES (:imageName, :origImageName, :imageTitle, :imageDesc, :imageCat, :imageTags, :imagePub, :imageType, :imageSize)') ;
				$stmt->execute(array(
					':imageName' => $newImageName,
          ':origImageName' => $imageName,
					':imageTitle' => $imageTitle,
					':imageDesc' => $imageDesc,
          ':imageCat' => $imageCat,
          ':imageTags' => $imageTags,
          ':imagePub' => $imagePub,
          ':imageType' => $imageType,
          ':imageSize' => $imageSize
				));

        move_uploaded_file($imageTemp, $imageDest);

				//redirect to index page
				header('Location: upload-photo.php?action=uploaded');
				exit;

			} catch(PDOException $e) {
			    echo $e->getMessage();
			}

		}

	}

	//check for any errors
	if(isset($error)){
		foreach($error as $error){
			echo '<p class="error">'.$error.'</p>';
		}
	}

  //show message from add / edit page
  if(isset($_GET['action'])){
    echo '<h3>Image '.$_GET['action'].'.</h3>';
  }
	?>

	<form action='' method='post' enctype="multipart/form-data">

    <p><label>Name</label><br />
		<input type='text' name='imageName' value='<?php if(isset($error)){ echo $_POST['imageName'];}?>'></p>

		<p><label>Title</label><br />
		<input type='text' name='imageTitle' value='<?php if(isset($error)){ echo $_POST['imageTitle'];}?>'></p>

		<p><label>Description</label><br />
		<textarea name='imageDesc' cols='60' rows='10'><?php if(isset($error)){ echo $_POST['imageDesc'];}?></textarea></p>

    <p><label>Category</label><br />
		<input type='text' name='imageCat' value='<?php if(isset($error)){ echo $_POST['imageCat'];}?>'></p>

    <p><label>Tags</label><br />
		<input type='text' name='imageTags' value='<?php if(isset($error)){ echo $_POST['imageTags'];}?>'></p>

    <p><label>Publish?</label><br />
    <input type='checkbox' name='imagePub' value='1'></p>

    <p><label>Image</label><br />
		<input type='file' name='imageCont' value='<?php if(isset($error)){ echo $_POST['imageCont'];}?>'></p>

		<p><input type='submit' name='submit' value='Submit'></p>

	</form>

</div>
